% Cite as: Solano, J.; Jimenez, D.; Ilinca, A. A Modular Simulation Testbed for Energy Management in AC/DC Microgrids. Energies 2020, 13, 4049.

plot(tiempo,PloadAC/1e3,tiempo,Psg/1e3,tiempo,Pfcs/1e3,tiempo,Puc/1e3,tiempo,Ppvps/1e3,tiempo,Pbatt/1e3,'linewidth',1.5)
legend('Pload','Psg','Pfcs','Puc','Ppvps','Pbatt','location','best');grid on;box on
xlim([0 simul.Time]);xlabel('[s]'),ylabel('[kW]');

figure;plot(tiempo,Qvsc1/1e3,tiempo,Qvsc2/1e3,tiempo,Qsg/1e3,tiempo,QloadAC/1e3,'linewidth',1.5)
legend('Qvsc1','Qvsc2','Qsg','QloadAC','location','best');grid on;box on
xlim([0 simul.Time]);xlabel('[s]'),ylabel('[kVAr]');grid on

figure;
yyaxis left;plot(tiempo,SOCbatt*100,'linewidth',1.5);ylabel('[%]')
yyaxis right;plot(tiempo,SOCuc*100,'linewidth',1.5);
legend('SOC_{batt}','SOC_{uc}','location','southwest')
xlim([0 simul.Time]);xlabel('[s]'),ylabel('[%]');grid on;hold on

figure;
yyaxis left;plot(tiempo,Vbus1,'linewidth',1.5);hold on;ylabel('[V]')
yyaxis right;plot(tiempo,Vuc,'linewidth',1.5);
legend('V_{batt}','V_{uc}','location','southwest')
xlim([0 simul.Time])
xlabel('[s]'),ylabel('[V]');grid on;box on

% Last modified by DJ.A - 29th July 2020