% Cite as: Solano, J.; Jimenez, D.; Ilinca, A. A Modular Simulation Testbed for Energy Management in AC/DC Microgrids. Energies 2020, 13, 4049.

% Irradiance profile
pv.time=[0 6.17 8 9 10 11 12 13 14 15 16 18.25 24]*simul.Time/24'; %Irradiance curve time
pv.Gp=[30 30 290 546 816 952 969 1000 777 520 313 30 30]; %Irradiance curve

%%%%  SHELL SM55 photovoltaic panel %%%% 
%%%% for Rs constant equat to 0.5[ohm]
pvp.Gn=1000; % Irradiance at standard conditions (1000 W/m^2 in STC).
pvp.T=273.15+25; %Cell temperature [C] 
pvp.Tn=298.15; %Temperature at standard conditions (25C in STC).
pvp.Ki=0.0014; %Short-circuit current temperature coefficient.
pvp.Kv=-0.076; %Open-circuit voltage temperature coefficient.
pvp.Ipvn=3.45; %Short-circuit or photovoltaic current at STC
pvp.Vocn=21.7;%open-circuit voltage at STC 
pvp.K=1.3805*10^(-23); %Boltzmann constant
pvp.NS=36; %Number of cells connected in series within the module
pvp.q=1.6021*10^(-19); % q is the absolute value of the charge of an electron
pvp.Rs=0.5; % Series resistance = 0.5 [Ohm]
pvp.m_a_exp=-0.0002; % a = -0.0002 * G + 1.4135
pvp.b_a_exp=1.4135; % a = -0.0002 * G + 1.4135
pvp.NPP=100; % Number of chains connected in parallel
pvp.i0=0.958*pvp.NPP; %initial PVP current
pvp.v0=16.45;%initial PVP voltage

% LC Filter pvp
pvp.L_pvp=5e-3; %inductance 
pvp.Rs_l=0.001; %Serie Resistance 
pvp.C_pvp=100e-3; %Capacitance
pvp.Rp_c=10e6; % Parallel Resistance
pvp.vc_pvp0=0.8;%initial capacitor voltage
pvp.il_pvp0=0; %initial inductance current

% MPPT parameters
pvp.dm=1e-1;
pvp.m0=0.061;

% Last modified by DJ.A - 28th July 2020