% Cite as: Solano, J.; Jimenez, D.; Ilinca, A. A Modular Simulation Testbed for Energy Management in AC/DC Microgrids. Energies 2020, 13, 4049.

% UC system model and control parameters. 
uc.r1=0.272; % Resistance principal branch
uc.c1=7.8e-3; %Capacitance principal branch
uc.c0=11.36; %Capacitance that depend of the voltage v0
uc.r2=13.53; %resistance secondary branch
uc.c2=0.09; %capacitance secondray branch
uc.v0=250;  % Equivalent voltage in principal branch 
uc.vnom=270; % UC Nominal voltage

uc.Ruc=0.2; % power converter resistance
uc.Luc=0.04; % power converter inductance
uc.kp=50; % proportional gain controller
uc.ki=100; % integral gain controller

% Last modified by DJ.A - 29th July 2020