% Cite as: Solano, J.; Jimenez, D.; Ilinca, A. A Modular Simulation Testbed for Energy Management in AC/DC Microgrids. Energies 2020, 13, 4049.

plot(tiempo,Pvsc1,tiempo,Pvsc2,tiempo,PloadAC,'linewidth',1.5)
legend('Pvsc1','Pvsc2','PloadAC','location','best')
xlim([0 simul.Time]);grid on;box on
xlabel('[s]'),ylabel('Active power [p.u.]');

figure
plot(tiempo,Qvsc1,tiempo,Qvsc2,tiempo,QloadAC,'linewidth',1.5)
legend('Qvsc1','Qvsc2','QloadAC')
xlim([0 simul.Time]);grid on;box on
xlabel('[s]'),ylabel('reactive power [p.u.]');

figure
plot(tiempo,Vpcc_mag,'linewidth',1.5)
xlim([0 simul.Time]);
xlabel('[s]'),ylabel('voltage [p.u.]');grid on;box on

figure
plot(tiempo,Vpcc_omega/2/pi,'linewidth',1.5)
xlim([0 simul.Time]);
xlabel('[s]'),ylabel('[Hz]');grid on;box on

% Last modified by DJ.A - 29th July 2020